<?xml version="1.0" encoding="UTF-8"?>
<!--
 Copyright (c) 2000-2025 Ericsson Telecom AB
 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v2.0
 which accompanies this distribution, and is available at
 https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html

 Contributors:
  Balasko, Jeno
  Raduly, Csaba
-->
<xs:schema xmlns="http://schemas.ericsson.com/ma/HSS/" xmlns:xs="http://www.w3.org/2001/XMLSchema" targetNamespace="http://schemas.ericsson.com/ma/HSS/" elementFormDefault="qualified">
	<!--  Common types
    -->
	<xs:simpleType name="msisdnType">
		<xs:restriction base="xs:string">
			<xs:minLength value="5"/>
			<xs:maxLength value="15"/>
			<xs:pattern value="[0-9]*"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="imsiType">
		<xs:restriction base="xs:string">
			<xs:minLength value="6"/>
			<xs:maxLength value="15"/>
			<xs:pattern value="[0-9]*"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="impiType">
		<xs:restriction base="xs:string">
			<xs:minLength value="5"/>
			<xs:maxLength value="256"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="associationIdType">
		<xs:restriction base="xs:string"/>
	</xs:simpleType>
	<!--  EPS types
	-->
	<xs:simpleType name="epsProfileIdType">
		<xs:restriction base="xs:string"/>
	</xs:simpleType>
	<xs:simpleType name="epsOdbType">
		<xs:restriction base="xs:string">
			<xs:enumeration value="NONE"/>
			<xs:enumeration value="ODB-ALL"/>
			<xs:enumeration value="ODB-HPLMN-APN"/>
			<xs:enumeration value="ODB-VPLMN-APN"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="epsRoamingAllowedType">
		<xs:restriction base="xs:boolean"/>
	</xs:simpleType>
	<xs:simpleType name="epsLocationStateType">
		<xs:restriction base="xs:string">
			<xs:enumeration value="PURGED"/>
			<xs:enumeration value="LOCATED"/>
			<xs:enumeration value="UNKNOWN"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="mmeAddressType">
		<xs:restriction base="xs:string"/>
	</xs:simpleType>
	<!--  AVG types
	-->
	<xs:simpleType name="avgEncryptedKType">
		<xs:restriction base="xs:string">
			<xs:pattern value="[0-9A-F]{32}"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="avgA4KeyIndType">
		<xs:restriction base="xs:integer">
			<xs:minInclusive value="1"/>
			<xs:maxInclusive value="512"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="avgFSetIndType">
		<xs:restriction base="xs:integer">
			<xs:minInclusive value="0"/>
			<xs:maxInclusive value="15"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="avgAmfType">
		<xs:restriction base="xs:string">
			<xs:pattern value="[0-9A-F]{4}"/>
		</xs:restriction>
	</xs:simpleType>
</xs:schema>
